## Tcl8.6.2/Tk8.6.2 Documentation > [incr Tcl] Package C API, version 4.0.1 > Object

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Itcl_CreateObject, Itcl_DeleteObject, Itcl_FindObject, Itcl_IsObject, Itcl_IsObjectIsa — Manipulate an class instance.

### SYNOPSIS

#include <itclInt.h>
void
Itcl_PreserveData(cdata)
void
Itcl_ReleaseData(cdata)
void
Itcl_EventuallyFree(cdata, fproc)

### ARGUMENTS

Tcl_FreeProc *fproc (in)
  Address of function to call when the block is to be freed.

ClientData clientData (in)
  Arbitrary one-word value.

### DESCRIPTION

### KEYWORDS

free, memory
Copyright © 1993-1998 Lucent Technologies, Inc.